%global debug_package   %{nil}
%global import_path     github.com/openshift/go-systemd
%global gopath          %{_datadir}/gocode
%global commit          b71042dcb39d4f573694804a7378c3a8e6bdfbdb
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           golang-github-openshift-go-systemd
Version:        0
Release:        0.2.git%{shortcommit}%{?dist}
Summary:        Go bindings to systemd D-BUS APIs
License:        ASL 2.0
URL:            http://%{import_path}
Source0:        https://%{import_path}/archive/%{commit}/go-systemd-%{shortcommit}.tar.gz
%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
BuildArch:      noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm}
%endif

%description
%{summary}

%package devel
Requires:       golang(github.com/godbus/dbus)
Requires:       golang
Summary:        Go bindings to systemd D-BUS APIs
Provides:       golang(%{import_path}/dbus) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for building other packages
which use openshift/go-systemd.

%prep
%setup -n go-systemd-%{commit}

%build

%install
rm -rf account activation examples fixtures journal test
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/dbus
cp -av dbus %{buildroot}/%{gopath}/src/%{import_path}

%files devel
%doc LICENSE README.md
%dir %attr(755,root,root) %{gopath}
%dir %attr(755,root,root) %{gopath}/src
%dir %attr(755,root,root) %{gopath}/src/github.com
%dir %attr(755,root,root) %{gopath}/src/github.com/openshift
%dir %attr(755,root,root) %{gopath}/src/%{import_path}
%dir %attr(755,root,root) %{gopath}/src/%{import_path}/dbus
%{gopath}/src/%{import_path}/dbus/*.go

%changelog
* Sat Apr 12 2014 Lokesh Mandvekar <lsm5@redhat.com> 0-0.2.git
- correct devel package dep

* Thu Apr 03 2014 Lokesh Mandvekar <lsm5@redhat.com> 0-0.1.git
- Initial package
